From 4ed0fefb58b5788368fea2c69d646ee4f2e9e012 Mon Sep 17 00:00:00 2001
From: Calvin Johnson <calvin.johnson@nxp.com>
Date: Mon, 10 Dec 2018 10:03:51 +0530
Subject: [PATCH] arm64: dts: ls1012a: reorganize pfe_mac nodes

To keep platform specific properties in the platform dts files,
remove pfe_mac nodes from dtsi and define them in dts files.

Signed-off-by: Calvin Johnson <calvin.johnson@nxp.com>
---
 arch/arm64/boot/dts/freescale/fsl-ls1012a-2g5rdb.dts | 4 ++--
 arch/arm64/boot/dts/freescale/fsl-ls1012a-frdm.dts   | 4 ++--
 arch/arm64/boot/dts/freescale/fsl-ls1012a-frwy.dts   | 4 ++--
 arch/arm64/boot/dts/freescale/fsl-ls1012a-qds.dts    | 4 ++--
 arch/arm64/boot/dts/freescale/fsl-ls1012a-rdb.dts    | 4 ++--
 arch/arm64/boot/dts/freescale/fsl-ls1012a.dtsi       | 5 -----
 6 files changed, 10 insertions(+), 15 deletions(-)

--- a/arch/arm64/boot/dts/freescale/fsl-ls1012a-2g5rdb.dts
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1012a-2g5rdb.dts
@@ -52,7 +52,7 @@
 	#address-cells = <1>;
 	#size-cells = <0>;
 
-	ethernet@0 {
+	pfe_mac0: ethernet@0 {
 		compatible = "fsl,pfe-gemac-port";
 		#address-cells = <1>;
 		#size-cells = <0>;
@@ -62,7 +62,7 @@
 		phy-handle = <&sgmii_phy1>;
 	};
 
-	ethernet@1 {
+	pfe_mac1: ethernet@1 {
 		compatible = "fsl,pfe-gemac-port";
 		#address-cells = <1>;
 		#size-cells = <0>;
--- a/arch/arm64/boot/dts/freescale/fsl-ls1012a-frdm.dts
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1012a-frdm.dts
@@ -84,7 +84,7 @@
 	#address-cells = <1>;
 	#size-cells = <0>;
 
-	ethernet@0 {
+	pfe_mac0: ethernet@0 {
 		compatible = "fsl,pfe-gemac-port";
 		#address-cells = <1>;
 		#size-cells = <0>;
@@ -94,7 +94,7 @@
 		phy-handle = <&sgmii_phy1>;
 	};
 
-	ethernet@1 {
+	pfe_mac1: ethernet@1 {
 		compatible = "fsl,pfe-gemac-port";
 		#address-cells = <1>;
 		#size-cells = <0>;
--- a/arch/arm64/boot/dts/freescale/fsl-ls1012a-frwy.dts
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1012a-frwy.dts
@@ -105,7 +105,7 @@
 	#address-cells = <1>;
 	#size-cells = <0>;
 
-	ethernet@0 {
+	pfe_mac0: ethernet@0 {
 		compatible = "fsl,pfe-gemac-port";
 		#address-cells = <1>;
 		#size-cells = <0>;
@@ -116,7 +116,7 @@
 		phy-handle = <&sgmii_phy1>;
 	};
 
-	ethernet@1 {
+	pfe_mac1: ethernet@1 {
 		compatible = "fsl,pfe-gemac-port";
 		#address-cells = <1>;
 		#size-cells = <0>;
--- a/arch/arm64/boot/dts/freescale/fsl-ls1012a-qds.dts
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1012a-qds.dts
@@ -142,7 +142,7 @@
 	#address-cells = <1>;
 	#size-cells = <0>;
 
-	ethernet@0 {
+	pfe_mac0: ethernet@0 {
 		compatible = "fsl,pfe-gemac-port";
 		#address-cells = <1>;
 		#size-cells = <0>;
@@ -152,7 +152,7 @@
 		phy-handle = <&sgmii_phy1>;
 	};
 
-	ethernet@1 {
+	pfe_mac1: ethernet@1 {
 		compatible = "fsl,pfe-gemac-port";
 		#address-cells = <1>;
 		#size-cells = <0>;
--- a/arch/arm64/boot/dts/freescale/fsl-ls1012a-rdb.dts
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1012a-rdb.dts
@@ -53,7 +53,7 @@
 	#address-cells = <1>;
 	#size-cells = <0>;
 
-	ethernet@0 {
+	pfe_mac0: ethernet@0 {
 		compatible = "fsl,pfe-gemac-port";
 		#address-cells = <1>;
 		#size-cells = <0>;
@@ -63,7 +63,7 @@
 		phy-handle = <&sgmii_phy>;
 	};
 
-	ethernet@1 {
+	pfe_mac1: ethernet@1 {
 		compatible = "fsl,pfe-gemac-port";
 		#address-cells = <1>;
 		#size-cells = <0>;
--- a/arch/arm64/boot/dts/freescale/fsl-ls1012a.dtsi
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1012a.dtsi
@@ -529,11 +529,6 @@
 		clock-names = "pfe";
 
 		status = "okay";
-		pfe_mac0: ethernet@0 {
-		};
-
-		pfe_mac1: ethernet@1 {
-		};
 	};
 
 	firmware {
